Page MenuHomePhabricator

efl.file: move 'save' method into separate efl.file_save interface
ClosedPublic

Authored by zmike on Jan 25 2019, 10:21 AM.

Details

Summary

the save method is implemented very rarely, and most objects which use efl.file
will not be able to use a save method

ref T5719

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 25 2019, 10:21 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Jan 25 2019, 10:21 AM
cedric accepted this revision.Jan 25 2019, 11:31 AM
This revision is now accepted and ready to land.Jan 25 2019, 11:31 AM
bu5hm4n requested changes to this revision.Jan 25 2019, 12:25 PM
bu5hm4n added a subscriber: bu5hm4n.

https://imgflip.com/i/2s1ppt

meson.build patch!

This revision now requires changes to proceed.Jan 25 2019, 12:25 PM
zmike updated this revision to Diff 18896.Jan 25 2019, 1:25 PM
zmike edited the summary of this revision. (Show Details)
bu5hm4n accepted this revision.Jan 26 2019, 2:56 AM
This revision is now accepted and ready to land.Jan 26 2019, 2:56 AM
bu5hm4n requested changes to this revision.Jan 26 2019, 3:00 AM
bu5hm4n added inline comments.
src/lib/elementary/elm_prefs.c
1125 ↗(On Diff #18896)

This does not compile due to file beeing a different pointer type now

This revision now requires changes to proceed.Jan 26 2019, 3:00 AM
zmike added inline comments.Jan 28 2019, 5:26 AM
src/lib/elementary/elm_prefs.c
1125 ↗(On Diff #18896)

Oops that wasn't supposed to go into this patch.

bu5hm4n added inline comments.Jan 28 2019, 5:35 AM
src/lib/efl/interfaces/efl_file.c
8

Nitpick, could this be just a empty struct ?

And why is it a mixin ? :)

bu5hm4n requested changes to this revision.Jan 30 2019, 12:20 AM

Ping

This revision now requires changes to proceed.Jan 30 2019, 12:20 AM
zmike added a comment.Jan 30 2019, 5:55 AM

It's a mixin because the method is @pure_virtual which is only available to mixins and abstracts. Should it be abstract instead?

It should be a interface IMO, all functions of a interface are implicitly virtual_pure, and a mixin only makes sense if there is a implementation on that entity.

zmike updated this revision to Diff 19050.Jan 30 2019, 6:52 AM
zmike retitled this revision from efl.file: move 'save' method into separate efl.file_save mixin to efl.file: move 'save' method into separate efl.file_save interface.

update

bu5hm4n accepted this revision.Jan 30 2019, 7:40 AM
This revision is now accepted and ready to land.Jan 30 2019, 7:40 AM
Closed by commit rEFLaadd9af864a8: efl.file: move 'save' method into separate efl.file_save interface (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 30 2019, 9:17 AM
This revision was automatically updated to reflect the committed changes.